# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI.pm) perl(MIME/Base64.pm) perl(Storable.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Summary:	OO interface for spell-checking a block of text 
Name:		perl-Text-SpellChecker
Version:	0.11
Release:	alt1_6
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/Text-SpellChecker/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BD/BDUGGAN/Text-SpellChecker-%{version}.tar.gz
Patch0:		Text-SpellChecker-0.11-dictpath.patch
BuildArch:	noarch
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(Text/Hunspell.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(Test/Pod.pm)
BuildRequires:	hunspell-en
Requires:	perl(Text/Hunspell.pm)
Source44: import.info

%description
This module is a thin layer above Text::Hunspell and allows one to spellcheck
a body of text. Whereas Text::Hunspell deals with words, Text::Spellchecker
deals with blocks of text. For instance, we provide methods for iterating
through the text, serializing the object (thus remembering where we left off),
and highlighting the current misspelled word within the text.

%prep
%setup -q -n Text-SpellChecker-%{version}

# Fedora hunspell dictionaries are in /usr/share/myspell rather than /usr/share/hunspell
%patch0 -p1

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -R u+w %{buildroot}

%check
# Note that Text::Aspell is retired from Fedora after Fedora 15
# so we don't try the Aspell tests
make test TEST_VERBOSE=1

%files
%doc Changes README
%{perl_vendor_privlib}/Text/

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_6
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_5
- update to new release by fcimport

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_3
- fc import

